import type { MjFormImageRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_form_image } from '../mj-table'
import Index from './mj-form-image-plugin.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_form_image, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Index
        renderOpts={renderOpts as MjFormImageRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
